Subject: [xrblock] FW: [MMUSIC] SDP Directorate: Review of draft-ietf-xrblock-rtcp-xr-synchronization-02

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 7 Mar 2013 08:37:55 +0000

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ali C. Begen (abegen)
Sent: Thursday, March 07, 2013 4:50 AM
To: [email-masked]
Cc: [email-masked]
Subject: [MMUSIC] SDP Directorate: Review of draft-ietf-xrblock-rtcp-xr-synchronization-02

I am the assigned SDP directorate reviewer for this draft. For background on the SDP directorate, please see the FAQ at http://www.ietf.org/iesg/directorate/sdp.html

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Summary:
- The RTCP XR extension syntax has some issues, see below
- There are a few editorial issues

Issues:
1) Section 1.4, parag. 1 is confusing. I understand what you mean but there are some plural/singular issues that need to be fixed.

2) Section 5.1. As I understand the two blocks can be used separately or together (Correct me if I am wrong). So, the ABNF should be as follows:

   xr-format =/ xr-rfisd-block / xr-rfso-block
   xr-rfisd-block = "init-syn-delay"
   xr-rfso-block = "syn-offset"

3) I actually prefer "sync" instead of "syn" in the registrations since syn is something related to TCP and might be confusing here.

4) Section 6. Write the full name of the registry (RTP Control Protocol Extended Reports (RTCP XR) Session Description Protocol (SDP) Parameters Registry). Also, the parameters you are registering should be "init-syn-delay" and "syn-offset" according to Section 5.1.

5) Section 5.2. It is not specified whether this parameter is unilateral or not.

6) Section 6. Write the full name of the registry (RTP Control Protocol Extended Reports (RTCP XR) Block Type Registry).

7) Section 6. Put a note for the RFC editor asking to replace the <RFISD> and <RFSO> with the actual values upon publications. 

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Thu, 7 Mar 2013 09:24:54 +0000

Hi Ali,

Thanks for your review. Please see inline.

Best Regards!
Rachel

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ali C. Begen (abegen)
Sent: Thursday, March 07, 2013 10:50 AM
To: [email-masked]
Cc: [email-masked]
Subject: [MMUSIC] SDP Directorate: Review of draft-ietf-xrblock-rtcp-xr-synchronization-02

I am the assigned SDP directorate reviewer for this draft. For background on the SDP directorate, please see the FAQ at
http://www.ietf.org/iesg/directorate/sdp.html

Summary:

Issues:

[Rachel]: Okay. We'll check and fix them.

[Rachel]:Oh, we missed the first "/" in our ABNF definition. Thanks for pointing out.  

[Rachel]:Will fix this.

[Rachel]:Okay.

[Rachel]: Right. We will rewrite it as following

"When SDP is used in offer-answer context, the SDP Offer/Answer usage defined in [RFC3611] for unilateral "rtcp-xr" attribute parameters applies. For detailed usage of Offer/Answer for unilateral parameter, refer to section 5.2 of [RFC3611]." 

[Rachel]: Okay.

[Rachel]: Will do.